#include<iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    double a[n],p[n],b[n];
    for (int i=0;i<n;i++)
   {
       b[i]=0;
       cin >> a[i]>> p[i];
   }
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<n;j++)
        {
            if(p[i]<=p[j])
            b[i]+=a[j];
        }
        b[i]*=p[i]/100;
    }
    int m=0;
    for(int i=1;i<n;i++)
    {
        if(b[i]>b[m]) m=i;
    }
    cout << b[m] << endl;
    cout << p[m];
}